Name:           python-sktime
Version:        0.37.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A unified framework for machine learning with time series

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.sktime.net
Source:         %{pypi_source sktime}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'sktime' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-sktime
Summary:        %{summary}

%description -n python3-sktime %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-sktime alignment,all-extras,all-extras-pandas2,annotation,binder,classification,clustering,compatibility-tests,cython-extras,datasets,detection,dev,dl,docs,forecasting,mlflow,mlflow-tests,mlflow2,networks,numpy1,pandas1,param-est,regression,tests,transformations


%prep
%autosetup -p1 -n sktime-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x alignment,all-extras,all-extras-pandas2,annotation,binder,classification,clustering,compatibility-tests,cython-extras,datasets,detection,dev,dl,docs,forecasting,mlflow,mlflow-tests,mlflow2,networks,numpy1,pandas1,param-est,regression,tests,transformations


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-sktime -f %{pyproject_files}


%changelog
%autochangelog